package com.huimv.manager.modular.controller;


import com.huimv.manager.modular.entity.MobileUser;
import com.huimv.manager.modular.service.MobileUserService;
import com.huimv.manager.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author yinhao
 * @Date 2021/4/19 12:18
 * @Description
 */
@Slf4j
@CrossOrigin
@RestController
@RequestMapping("/UserManage")
public class MobileUserManageController {

    @Autowired
    private MobileUserService service;

    @RequestMapping("/add")
    public Result add(MobileUser childcareEntity){
        return service.add(childcareEntity);
    }

    @RequestMapping("/remove")
    public Result remove(Integer[] ids)
    { return service.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(MobileUser childcareEntity){
        return service.update(childcareEntity);
    }

    @RequestMapping("/findAllById")
    public Result findAllById(Integer id){ return service.findAllById(id); }


    @RequestMapping("/findAll")
    public Result findAll(String name ,Integer pageNum, Integer pageSize){
        return service.findAll(name,pageNum,pageSize);
    }



}
