package com.huimv.mobile.controller;

import com.huimv.mobile.domain.MobileLast;
import com.huimv.mobile.result.Result;
import com.huimv.mobile.service.MobileLastService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.mobile.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/4/20 0020 17:41
 **/
@RestController
@CrossOrigin
@RequestMapping("/last")
public class MobileLastController {
    @Autowired
    MobileLastService mobileLastService;

    @RequestMapping("/add")
    public Result add(MobileLast mobileLast){
        return mobileLastService.add(mobileLast);
    }

    @RequestMapping("/findLast")
    public Result findLast(Integer userId){
        return mobileLastService.findLast(userId);
    }


}
