package com.huimv.mobile.service.impl;

import com.huimv.mobile.domain.MobileLast;
import com.huimv.mobile.repo.MobileLastRepository;
import com.huimv.mobile.result.Result;
import com.huimv.mobile.service.MobileLastService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.mobile.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/4/20 0020 17:42
 **/
@Service
public class MobileLastServiceImpl implements MobileLastService {
    @Autowired
    private MobileLastRepository lastRepository;

    @Override
    public Result add(MobileLast mobileLast) {

        MobileLast byUserId = lastRepository.findByUserId(mobileLast.getUserId());
        if (byUserId != null){
            mobileLast.setId(byUserId.getId());
        }
        lastRepository.save(mobileLast);
        return new Result(10000,"添加成功");
    }

    @Override
    public Result findLast(Integer userId) {

        MobileLast byUserId = lastRepository.findByUserId(userId);

        return new Result(10000,"查询成功",byUserId);
    }
}
