package com.huimv.manager.modular.service;

import com.huimv.manager.modular.entity.MobileUser;
import com.huimv.manager.modular.entity.param.LoginParam;
import com.huimv.manager.result.R;
import com.huimv.manager.result.Result;

/**
 * @Author yinhao
 * @Date 2021/4/19 18:10
 * @Description
 */
public interface MobileUserService {
    /**
     * 登录
     * @param
     * @param code
     * @return
     */
    R login(String account,String password, String code);

    /**
     * 根据id查询用户
     * @param id
     * @return
     */
    MobileUser findById(Integer id);



    //添加
    Result add(MobileUser entity);

    //添加
    Result remove(Integer[] ids);

    //添加
    Result update(MobileUser entity);

    //查询
    Result findAll(String name, Integer pageNum, Integer pageSize);

    //根据id查找
    Result findAllById(Integer id);























}
